Registry Values
CONNX.REPLICATION.CTRL_PORT
CONNX.REPLICATION.DEBUG_LEVEL
CONNX.REPLICATION.EP_ADA_CFG_PORT
CONNX.REPLICATION.MQ_PORT
CONNX.REPLICATION.NOTIFY
CONNX.REPLICATION.NOTIFY_CMD
CONNX.REPLICATION.STATUSREFRESHINTERVAL
CONNX.REPLICATION.CTRL_PERF_ENABLED
CONNX.REPLICATION.CTRL_PERF_QUERY_INTERVAL
CONNX.REPLICATION.CTRL_PERF_STAT_FILE
CONNX.REPLICATION.ADABCK_ET_SYNC_WAIT
CONNX.REPLICATION.CTRL_OP_FLAGS
CONNX.REPLICATION.DBG_OPTIONS
CONNX.REPLICATION.DBG_EC_EP_PORT
CONNX.REPLICATION.DBG_EC_EP_SERVER
CONNX.REPLICATION.DBG_EC_IGNORE_ZERO
CONNX.REPLICATION.DISABLE_ROW_CT_CHECK
CONNX.REPLICATION.DNS_TO_DOT
CONNX.REPLICATION.EC_EIS_WAIT
CONNX.REPLICATION.EC_IS_TRUNCATE_ONLY
CONNX.REPLICATION.EC_SLEEP_ON_STARTUP
CONNX.REPLICATION.EC_SQL_ERR_MODE
CONNX.REPLICATION.EC_SQL_MAX_HANDLES
CONNX.REPLICATION.EP_EVENT_ERR_MODE
CONNX.REPLICATION.MQ_CONFIG_DIR
CONNX.REPLICATION.EP_QUEUE_HOST
CONNX.REPLICATION.MQ_PORT
CONNX.REPLICATION.MQ_QUEUE_DIR
CONNX.REPLICATION.CTRL_PORT
CONNX.REPLICATION.CTRL_PORT specifies the CONNX Message Queue controller port.
If CONNX.REPLICATION.CTRL_PORT is greater than 1024, the Replication Controller will accept Replication Engine communications on that port value.
If the port specified in CONNX.REPLICATION.CTRL_PORT is unavailable, then either change CONNX.REPLICATION.CTRL_PORT to 0 to allow the Replication Controller to use the first available port, or change CONNX.REPLICATION.CTRL_PORT to a port value that is available.
Valid CONNX.REPLICATION.CTRL_PORT values are:
0 - Use first available port
1 through 1024 - Reserved for internal use
1025 through 65535 - Use the port specified. The specified port must be available.
The default CONNX.REPLICATION.CTRL_PORT value is 9205.
CONNX.REPLICATION.DEBUG_LEVEL
CONNX.REPLICATION.DEBUG_LEVEL controls the debug output that goes to the log file.
The CONNX.REPLICATION.DEBUG_LEVEL values are:
0 - Debug is off.
1 - Normal debug output. Messages provide some debugging/status information but do not severely affect performance.
2 - Extreme debug output. The transaction level diagnostics generated will negatively impact performance.
The default CONNX.REPLICATION.DEBUG_LEVEL is 0 (off).
CONNX.REPLICATION.EP_ADA_CFG_PORT
CONNX.REPLICATION.EP_ADA_CFG_PORT specifies the port that the ep_config process will listen on for requests from the event producer.
The default CONNX.REPLICATION.EP_ADA_CFG_PORT value is 9207.
CONNX.REPLICATION.MQ_PORT
CONNX.REPLICATION.MQ_PORT specifies the CONNX Message Queue listening port.
The default CONNX.REPLICATION.MQ_PORT value is 9200.
CONNX.REPLICATION.NOTIFY
CONNX.REPLICATION.NOTIFY specifies whether or not to call the notification command job specified by CONNX.REPLICATION.NOTIFY_CMD if the system encounters an Nx error.
The CONNX.REPLICATION.NOTIFY values are:
0 - Do not call the notification command. CONNX.REPLICATION.NOTIFY_CMD is ignored.
1 - Call the notification command specified by CONNX.REPLICATION.NOTIFY_CMD.
The default CONNX.REPLICATION.NOTIFY value is 0 (do not call).
CONNX.REPLICATION.NOTIFY_CMD
CONNX.REPLICATION.NOTIFY_CMD specifies the location and name of the notification job to call when NOTIFY is 1 and the system encounters an Nx error. If CONNX.REPLICATION.NOTIFY is 0, CONNX.REPLICATION.NOTIFY_CMD has no effect.
Example: CONNX.REPLICATION.NOTIFY_CMD="C:\CONNX32\REPLICATION\COMMON\EVENTNOTIFY.CMD"
The default value is "eventnotify" and there is a sample eventnotify.cmd file in the Samples directory.
CONNX.REPLICATION.STATUSREFRESHINTERVAL
CONNX.REPLICATION.STATUSREFRESHINTERVAL controls the how often the Replication Administrator refreshes the Server Status tab. When you view the Server Status, the status is normally refreshed every 30 seconds. CONNX.REPLICATION.STATUSREFRESHINTERVAL changes the default refresh interval.
Valid CONNX.REPLICATION.STATUSREFRESHINTERVAL values (in seconds) are:
0 - Disable background refresh.
Between 1 and 30 - 30 seconds (minimum value).
Greater than 30 - Number of seconds specified up to 86,400 seconds (maximum value).
Note:
86,400 seconds is 24 hours.
CONNX.REPLICATION.CTRL_PERF_ENABLED
CONNX.REPLICATION.CTRL_PERF_ENABLED enables the gathering and reporting of performance statistics by the Replication Controller.
Performance statistics will be written to the CTRL.log file. Optionally, the current statistics output will be directed to a file specified by CTRL_PERF_STAT_FILE.
Valid CONNX.REPLICATION.CTRL_PERF_ENABLED values are:
0 - Disable performance statistics.
1 - Enable performance statistics.
The default CONNX.REPLICATION.CTRL_PERF_ENABLED value is 1 (gather and report statistics).
CONNX.REPLICATION.CTRL_PERF_QUERY_INTERVAL
CONNX.REPLICATION.CTRL_PERF_QUERY_INTERVAL determines the number of seconds between statistics calls the controller makes to the EC.
Valid CONNX.REPLICATION.CTRL_PERF_QUERY_INTERVAL value is the number of seconds, up to 86,400 seconds (maximum value).
The default CONNX.REPLICATION.CTRL_PERF_QUERY_INTERVAL value is 3600 seconds.
CONNX.REPLICATION.CTRL_PERF_STAT_FILE
CONNX.REPLICATION.CTRL_PERF_STAT_FILE causes the current statistics output to be saved to a designated file.
The output will still appear in the CTRL.log file. This file can be used as an easy way to access the most recent statistics without having to parse the CTRL.log file. Only the most current statistics will be in this file. You must use the CTRL.log file for statistics history.
Valid CONNX.REPLICATION.CTRL_PERF_STAT_FILE values are:
The name (including the path) of the statistics file you wish to use.
The default CONNX.REPLICATION.CTRL_PERF_STAT_FILE value is blank which means do not use an additional statistics output file.
CONNX.REPLICATION.ADABCK_ET_SYNC_WAIT
CONNX.REPLICATION.ADABCK_ET_SYNC_WAIT causes the ADABCK DUMP step in the initial state process to use the ET_SYNC_WAIT parameter.
The Adabas utility ADABCK is used during the initial state process for Adabas to Adabas replication. When set, the ET_SYNC_WAIT parameter defines the time (in seconds) that ADABCK waits for ET-logic users to come to ET status at the end of the DUMP function. Setting the CONNX.REPLICATION parameter ADABCK_ET_SYNC_WAIT allows the user to control the value of this parameter for replication.
This parameter is set in the registry (sqlregistry on Unix/Linux machines and CONNX Configuration Manager on Windows machines) on the machine where the Replication Controller is running.
Valid CONNX.REPLICATION.ADABCK_ET_SYNC_WAIT values are:
0 - Do not set ET_SYNC_WAIT on the ADABCK DUMP command. ADABCK will use the value set in the nucleus' TT parameter.
1 through 32767 - The number of seconds to set ET_SYNC_WAIT on the ADABCK DUMP command.
The default CONNX.REPLICATION.ADABCK_ET_SYNC_WAIT is 60 seconds.
For more information on the ADABCK ET_SYNC_WAIT parameter, please see the Adabas Utilities guide.
Note:
This setting does not apply when replicating to a relational target.
CONNX.REPLICATION.CTRL_OP_FLAGS
CONNX.REPLICATION.CTRL_OP_FLAG will enable enhanced debugging of the controller. Possible values are 1 and 2
This should only be used for debugging purposes at the direction of a support engineer.
The default value is zero.
CONNX.REPLICATION.DBG_OPTIONS
CONNX.REPLICATION.DBG_OPTIONS will enable enhanced debugging of the EP logger. Possible values are 0 and 32.
This should only be used for debugging purposes at the direction of a support engineer.
The default value is zero.
CONNX.REPLICATION.DBG_EC_EP_PORT
CONNX.REPLICATION.DBG_EC_EP_PORT will enable isolated debugging of the event consumer by overriding the port.
This should only be used for debugging purposes at the direction of a support engineer.
The default value is zero.
CONNX.REPLICATION.DBG_EC_EP_SERVER
CONNX.REPLICATION.DBG_EC_EP_SERVER will enable isolated debugging of the event consumer by overriding the server name of the controller.
This should only be used for debugging purposes at the direction of a support engineer.
The default value is "localhost".
CONNX.REPLICATION.DBG_EC_IGNORE_ZERO
CONNX.REPLICATION.DBG_EC_IGNORE_ZERO will cause SQL delete and update operations that affect zero rows (when they should have affected 1 or more) to be treated as success.
No retry of the SQL operation will occur.
This should only be used for debugging purposes at the direction of a support engineer.
The default value is false.
CONNX.REPLICATION.DISABLE_ROW_CT_CHECK
CONNX.REPLICATION.DISABLE_ROW_CT_CHECK will ignore errors conditions where an update or delete was performed, but zero rows were affected.
This should only be used for debugging purposes at the direction of a support engineer.
The default value is false.
CONNX.REPLICATION.DNS_TO_DOT
CONNX.REPLICATION.DNS_TO_DOT will cause replication to convert host names to IP addresses before sending the information to other remote components.
This will potentially bypass DNS resolution problems where DNS names are not properly configured on all systems where components reside.
This should only be used at the direction of a support engineer.
The default value is false.
CONNX.REPLICATION.EC_EIS_WAIT
CONNX.REPLICATION.EC_EIS_WAIT will cause replication wait for the specified number of seconds after an initial state has completed.
This will potentially bypass DNS resolution problems where DNS names are not properly configured on all systems where components reside.
This should only be used for debugging purposes at the direction of a support engineer.
The default value is 0.
CONNX.REPLICATION.EC_IS_TRUNCATE_ONLY
CONNX.REPLICATION.EC_IS_TRUNCATE_ONLY will cause replication to use only truncate to clear target tables. Normally, if truncate fails, a delete will be issued.
When this setting is enabled, if the truncate fails, then the entire initial state operation fails.
The default value is false.
CONNX.REPLICATION.EC_SLEEP_ON_STARTUP
CONNX.REPLICATION.EC_SLEEP_ON_STARTUP will cause replication to sleep for the specified number of seconds at startup, providing enough time to attach a debugger.
This should only be used for debugging purposes at the direction of a support engineer.
The default value is 0.
CONNX.REPLICATION.EC_SQL_ERR_MODE
CONNX.REPLICATION.EC_SQL_ERR_MODE will determine what action is taken when an error occurs.
The following three values are available:
0 - Permissive. The error is logged and replication continues if the error is not fatal.
1 - Suspend. The error is logged, and replication is suspended for the specific table.
2 - Stop. The error is logged, and replication is stopped for all tables.
The default value is 0 (Permissive).
CONNX.REPLICATION.EC_SQL_MAX_HANDLES
CONNX.REPLICATION.EC_SQL_MAX_HANDLES will determine the maximum number of SQL statement handles to keep cached for improved performance.
The default value is 800.
CONNX.REPLICATION.EP_EVENT_ERR_MODE
CONNX.REPLICATION.EP_EVENT_ERR_MODE will determine the behavior of replication in the event of an error in the event producer itself.
The following three values are available:
0 - Permissive. The error is logged and replication continues if the error is not fatal.
1 - Suspend. The error is logged, and replication is suspended for the specific table.
2 - Stop. The error is logged, and replication is stopped for all tables.
The default value is 1 (Suspend).
CONNX.REPLICATION.MQ_CONFIG_DIR
CONNX.REPLICATION.MQ_CONFIG_DIR will overwrite the default location use for the configuration files of the message queue.
This should only be used for debugging purposes at the direction of a support engineer.
The default value is an empty string.
CONNX.REPLICATION.EP_QUEUE_HOST
CONNX.REPLICATION.EP_QUEUE_HOST will overwrite the default name of the local TCP/IP connection for the message queue.
This should only be used for debugging purposes at the direction of a support engineer.
The default value is "127.0.0.1".
CONNX.REPLICATION.MQ_PORT
CONNX.REPLICATION.MQ_PORT will overwrite the default port used to communicate to the local message queue.
The default value is 9200.
CONNX.REPLICATION.MQ_QUEUE_DIR
CONNX.REPLICATION.MQ_QUEUE_DIR will overwrite the default location use for the files of the message queue.
This should only be used for debugging purposes at the direction of a support engineer.
The default value is an empty string.